Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 29 Oct 2022 09:28:40 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I ordered dresses for me to wear for my son birthday last July 26. It was July 24 when I placed my order with the number 9579575029 but until now, October 2 I still didn't receive anything. In the application it says that ordered was received and delivered! I contacted lots of customer service to inform about this but no body gave a results or feedback about it. they said that they wi call me within 24 hours about the matter but I am just expecting for nothing. I was Fan of splash and really want to order, but I am now scared about the service. So disappointing! I hope someone can help me out this https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4951546